Skip to content

Change password

Users
POSThttps://api.dcdial.com/api/type=change_password
Changes dataToken

Changes the password of the user who owns the token.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always change_password for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • oldpassstringrequired

    Current password.

    Example ••••••••
  • newpassstringrequired

    New password.

    Example ••••••••
Terminal window
curl https://api.dcdial.com/api/ \
-d type=change_password \
-d token="$DCDIAL_TOKEN" \
-d oldpass='••••••••' \
-d newpass='••••••••'
Response · 200 OK
{
"response": {
"success": "1",
"error": ""
}
}

Try it

Environment